#FROM openjdk/arm64:8u302-jdk
FROM registry.cn-beijing.aliyuncs.com/zhengzai-base/jdk:8u302
# 设置时区为中国标准时间 (CST)
ENV TZ=Asia/Shanghai
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone
COPY target/liquidnet-client-admin-web.jar /
EXPOSE 7099
#ENTRYPOINT exec java $JAVA_OPTS -jar /liquidnet-client-admin-web.jar
#ENTRYPOINT ["java", "-Xms4096m", "-Xmx4096m", "-jar", "/liquidnet-client-admin-web.jar"]
ENTRYPOINT ["java", "-jar", "/liquidnet-client-admin-web.jar"]

# docker buildx build --platform linux/amd64 -t liquidnet-client-admin:amd2.0 --load -f Dockerfile.admin .
# docker tag liquidnet-client-admin:amd2.0 registry.cn-beijing.aliyuncs.com/zhengzai-backend/admin-test:2.0
# docker push registry.cn-beijing.aliyuncs.com/zhengzai-backend/admin-test:2.0